#!/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-

"""
 @file TwoDRobotInfoMonitorGui_idl_examplefile.py
 @brief Python example implementations generated from TwoDRobotInfoMonitorGui.idl
 @date $Date$

 @author East Japan Accounting Center Co.,Ltd.
 
 (c)2017 The University of Aizu
 This software is released under the New BSD License.

"""

import omniORB
from omniORB import CORBA, PortableServer
import VersatileGuiReqServ, VersatileGuiReqServ__POA
import VersatileGuiReqServ, VersatileGuiReqServ__POA
import VersatileGuiReqServ, VersatileGuiReqServ__POA
import VersatileGuiReqServ, VersatileGuiReqServ__POA
import VersatileGuiReqServ, VersatileGuiReqServ__POA
import VersatileGuiReqServ, VersatileGuiReqServ__POA
import VersatileGuiReqServ, VersatileGuiReqServ__POA
import TwoDRobotMoniGuiReqServ, TwoDRobotMoniGuiReqServ__POA

import VersatileOverheadSystem as SystemMacro

# =============================================================================
#     GuiReqDBRegistKey
# =============================================================================
class GuiReqDBRegistKey_i (VersatileGuiReqServ__POA.GuiReqDBRegistKey):
    """
    @class GuiReqDBRegistKey_i
    Example class implementing IDL interface VersatileGuiReqServ.GuiReqDBRegistKey
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        pass

    # unsigned short usSetGuiReqDBRegistKey(in string sFolderPath)
    def usSetGuiReqDBRegistKey(self, sFolderPath):

        self._Folder_Path = sFolderPath

        return SystemMacro.RESULT_ACK

    # void GetGuiReqDBRegistKey(out string sFolderPath)
    def GetGuiReqDBRegistKey(self):

        return(self._Folder_Path)

    def clrGuiReqDBRegistKey(self):
        self._Folder_Path = ""

        return

# =============================================================================
#    GuiReqSynthesisPlanListDelKey
# =============================================================================
class GuiReqSynthesisPlanListDelKey_i (VersatileGuiReqServ__POA.GuiReqSynthesisPlanListDelKey):
    """
    @class GuiReqSynthesisPlanListDelKey_i
    Example class implementing IDL interface VersatileGuiReqServ.GuiReqSynthesisPlanListDelKey
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        self.clrGuiReqSynthesisPlanListDelKey()
        pass

    # unsigned short usSetGuiReqSynthesisPlanListDelKey(in unsigned long ulGroupId)
    def usSetGuiReqSynthesisPlanListDelKey(self, ulGroupId):

        self._Group_Id = ulGroupId

        return SystemMacro.RESULT_ACK

    # void GetGuiReqSynthesisPlanListDelKey(out unsigned long ulGroupId)
    def GetGuiReqSynthesisPlanListDelKey(self):

        return(self._Group_Id)

    def clrGuiReqSynthesisPlanListDelKey(self):
        self._Group_Id = SystemMacro.GROUP_ID_NON

        return


# =============================================================================
#    GuiReqTileGenerationKey
# =============================================================================
class GuiReqTileGenerationKey_i (VersatileGuiReqServ__POA.GuiReqTileGenerationKey):
    """
    @class GuiReqTileGenerationKey_i
    Example class implementing IDL interface VersatileGuiReqServ.GuiReqTileGenerationKey
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        self.clrGuiReqTileGenerationKey()

        pass

    # unsigned short usSetGuiReqTileGenerationKey(in unsigned long ulGenerateMode, in unsigned long ulRobotCategory, in unsigned long ulGroupId, in double dStartLatitude, in double dStartLongitude, in double dEndLatitude, in double dEndLongitude, in unsigned long ulZoomlevel, in string sSynthPlanName)
    def usSetGuiReqTileGenerationKey(self, ulGenerateMode, ulRobotCategory, ulGroupId, dStartLatitude, dStartLongitude, dEndLatitude, dEndLongitude, ulZoomlevel, sSynthPlanName):

        self._GenerateMode = ulGenerateMode
        self._Robot_Category = ulRobotCategory
        self._Group_Id = ulGroupId
        self._StartLat = dStartLatitude
        self._StartLon = dStartLongitude
        self._EndLat = dEndLatitude
        self._EndLon = dEndLongitude
        self._Zoom_level = ulZoomlevel
        self._SynthPlanName = sSynthPlanName

        return SystemMacro.RESULT_ACK

    # void GetGuiReqTileGenerationKey(out unsigned long ulGenerateMode, out unsigned long ulRobotCategory, out unsigned long ulGroupId, out double dStartLatitude, out double dStartLongitude, out double dEndLatitude, out double dEndLongitude, out unsigned long ulZoomlevel, out string sSynthPlanName)
    def GetGuiReqTileGenerationKey(self):

        return(self._GenerateMode, self._Robot_Category, self._Group_Id, self._StartLat, self._StartLon, self._EndLat, self._EndLon, self._Zoom_level, self._SynthPlanName)

    def clrGuiReqTileGenerationKey(self):

        self._GenerateMode = SystemMacro.TILE_MODE_INIT
        self._Robot_Category = SystemMacro.ROBOT_CATEGORY_INIT
        self._Group_Id = SystemMacro.GROUP_ID_NON
        self._StartLat = 0
        self._StartLon = 0
        self._EndLat = 0
        self._EndLon = 0
        self._Zoom_level = SystemMacro.ZOOM_LEVEL_DEF
        self._SynthPlanName = ""

        return


class GuiReqDisplayUpdateKey_i (VersatileGuiReqServ__POA.GuiReqDisplayUpdateKey):
    """
    @class GuiReqDisplayUpdateKey_i
    Example class implementing IDL interface VersatileGuiReqServ.GuiReqDisplayUpdateKey
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        self.clrGuiReqDisplayUpdateKey()
        pass

    # unsigned short usSetGuiReqDisplayUpdateKey(in unsigned long ulMainViewGroupId, in unsigned long ulGpsDispCont, in unsigned long ulGpsRobotSelect)
    def usSetGuiReqDisplayUpdateKey(self, ulMainViewGroupId, ulGpsDispCont, ulGpsRobotSelect):

        self._MainView_GroupId = ulMainViewGroupId
        self._GpsDispCont = ulGpsDispCont
        self._GpsRobotSelect = ulGpsRobotSelect

        return SystemMacro.RESULT_ACK

    # void GetGuiReqDisplayUpdateKey(out unsigned long ulMainViewGroupId, out unsigned long ulGpsDispCont, out unsigned long ulGpsRobotSelect)
    def GetGuiReqDisplayUpdateKey(self):

        return(self._MainView_GroupId, self._GpsDispCont, self._GpsRobotSelect)

    def clrGuiReqDisplayUpdateKey(self):
        self._MainView_GroupId = SystemMacro.GROUP_ID_NON
        self._GpsDispCont = SystemMacro.GPS_DISP_OFF
        self._GpsRobotSelect = SystemMacro.ROBOT_SEL_BIT_OFF

        return


# =============================================================================
#    GuiReqArrowKey
# =============================================================================
class GuiReqArrowKey_i (VersatileGuiReqServ__POA.GuiReqArrowKey):
    """
    @class GuiReqArrowKey_i
    Example class implementing IDL interface VersatileGuiReqServ.GuiReqArrowKey
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """

        self.clrGuiReqArrowKey()

        pass

    # unsigned short usSetGuiReqArrowKey(in unsigned long ulOpeScreen, in unsigned long ulArrow)
    def usSetGuiReqArrowKey(self, ulOpeScreen, ulArrow):

        self._Ope_Screen = ulOpeScreen
        self._Arrow = ulArrow

        return SystemMacro.RESULT_ACK

    # void GetGuiReqArrowKey(out unsigned long ulOpeScreen, out unsigned long ulArrow)
    def GetGuiReqArrowKey(self):

        return(self._Ope_Screen, self._Arrow)

    def clrGuiReqArrowKey(self):

        self._Ope_Screen = SystemMacro.OPE_SCREEN_MAIN
        self._Arrow = SystemMacro.ARROW_OFF

        return

# =============================================================================
#    GuiReqZoomKey
# =============================================================================
class GuiReqZoomKey_i (VersatileGuiReqServ__POA.GuiReqZoomKey):
    """
    @class GuiReqZoomKey_i
    Example class implementing IDL interface VersatileGuiReqServ.GuiReqZoomKey
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """

        self.clrGuiReqZoomKey()

        pass

    # unsigned short usSetGuiReqZoomKey(in unsigned long ulOpeScreen, in unsigned long ulZoomAdj)
    def usSetGuiReqZoomKey(self, ulOpeScreen, ulZoomAdj):

        self._Ope_Screen = ulOpeScreen
        self._Zoom_Adj = ulZoomAdj

        return SystemMacro.RESULT_ACK

    # void GetGuiReqZoomKey(out unsigned long ulOpeScreen, out unsigned long ulZoomAdj)
    def GetGuiReqZoomKey(self):

        return(self._Ope_Screen, self._Zoom_Adj)

    def clrGuiReqZoomKey(self):

        self._Ope_Screen = SystemMacro.OPE_SCREEN_MAIN
        self._Zoom_Adj = SystemMacro.ZOOM_ADJ_OFF

        return


# =============================================================================
#    GuiReqMapChangeKey
# =============================================================================
class GuiReqMapChangeKey_i (VersatileGuiReqServ__POA.GuiReqMapChangeKey):
    """
    @class GuiReqMapChangeKey_i
    Example class implementing IDL interface VersatileGuiReqServ.GuiReqMapChangeKey
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        self.clrGuiReqMapChangeKey()
        pass

    # unsigned short usSetGuiReqMapChangeKey(in unsigned long ulOpeScreen, in unsigned long ulMapKind)
    def usSetGuiReqMapChangeKey(self, ulOpeScreen, ulMapKind):

        self._Ope_Screen = ulOpeScreen
        self._Map_Kind = ulMapKind

        return SystemMacro.RESULT_ACK

    # void GetGuiReqMapChangeKey(out unsigned long ulOpeScreen, out unsigned long ulMapKind)
    def GetGuiReqMapChangeKey(self):

        return (self._Ope_Screen, self._Map_Kind)

    def clrGuiReqMapChangeKey(self):

        self._Ope_Screen = SystemMacro.OPE_SCREEN_MAIN
        self._Map_Kind = SystemMacro.MAP_CHENGE_DEF

        return

class GuiReqSensorInfoUpdateKey_i (TwoDRobotMoniGuiReqServ__POA.GuiReqSensorInfoUpdateKey):
    """
    @class GuiReqSensorInfoUpdateKey_i
    Example class implementing IDL interface TwoDRobotMoniGuiReqServ.GuiReqSensorInfoUpdateKey
    """

    def __init__(self):
        """
        @brief standard constructor
        Initialise member variables here
        """
        self.clrGuiReqSensorInfoUpdateKey()
        pass

    # unsigned short usSetGuiReqSensorInfoUpdateKey(in unsigned long ulRobotKind)
    def usSetGuiReqSensorInfoUpdateKey(self, ulRobotKind):

        self._RobotKind = ulRobotKind
        return SystemMacro.RESULT_ACK

    # void GetGuiReqSensorInfoUpdateKey(out unsigned long ulRobotKind)
    def GetGuiReqSensorInfoUpdateKey(self):

        return (self._RobotKind)

    def clrGuiReqSensorInfoUpdateKey(self):

        self._RobotKind = SystemMacro.ROBOT_SEL_OFF
        return

if __name__ == "__main__":
    import sys
    
    # Initialise the ORB
    orb = CORBA.ORB_init(sys.argv)
    
    # As an example, we activate an object in the Root POA
    poa = orb.resolve_initial_references("RootPOA")

    # Create an instance of a servant class
    servant = GuiReqDBRegistKey_i()

    # Activate it in the Root POA
    poa.activate_object(servant)

    # Get the object reference to the object
    objref = servant._this()
    
    # Print a stringified IOR for it
    print orb.object_to_string(objref)

    # Activate the Root POA's manager
    poa._get_the_POAManager().activate()

    # Run the ORB, blocking this thread
    orb.run()

